<?php
/**
 * The Gallery template to display posts
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage WILLIAMSON
 * @since WILLIAMSON 1.0
 */

$williamson_blog_style = explode('_', williamson_get_theme_option('blog_style'));
$williamson_columns = empty($williamson_blog_style[1]) ? 2 : max(2, $williamson_blog_style[1]);
$williamson_post_format = get_post_format();
$williamson_post_format = empty($williamson_post_format) ? 'standard' : str_replace('post-format-', '', $williamson_post_format);
$williamson_animation = williamson_get_theme_option('blog_animation');
$williamson_image = wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'full' );

?><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_portfolio post_layout_gallery post_layout_gallery_'.esc_attr($williamson_columns).' post_format_'.esc_attr($williamson_post_format) ); ?>
	<?php echo (!williamson_is_off($williamson_animation) ? ' data-animation="'.esc_attr(williamson_get_animation_classes($williamson_animation)).'"' : ''); ?>
	data-size="<?php if (!empty($williamson_image[1]) && !empty($williamson_image[2])) echo intval($williamson_image[1]) .'x' . intval($williamson_image[2]); ?>"
	data-src="<?php if (!empty($williamson_image[0])) echo esc_url($williamson_image[0]); ?>"
	>

	<?php

	// Sticky label
	if ( is_sticky() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	// Featured image
	$williamson_image_hover = 'icon';
	if (in_array($williamson_image_hover, array('icons', 'zoom'))) $williamson_image_hover = 'dots';
	$williamson_components = williamson_is_inherit(williamson_get_theme_option_from_meta('meta_parts')) 
								? 'categories,date,counters,share'
								: williamson_array_get_keys_by_value(williamson_get_theme_option('meta_parts'));
	$williamson_counters = williamson_is_inherit(williamson_get_theme_option_from_meta('counters')) 
								? 'comments'
								: williamson_array_get_keys_by_value(williamson_get_theme_option('counters'));
	williamson_show_post_featured(array(
		'hover' => $williamson_image_hover,
		'thumb_size' => williamson_get_thumb_size( strpos(williamson_get_theme_option('body_style'), 'full')!==false || $williamson_columns < 3 ? 'masonry-big' : 'masonry' ),
		'thumb_only' => true,
		'show_no_image' => true,
		'post_info' => '<div class="post_details">'
							. '<h2 class="post_title"><a href="'.esc_url(get_permalink()).'">'. esc_html(get_the_title()) . '</a></h2>'
							. '<div class="post_description">'
								. (!empty($williamson_components)
										? williamson_show_post_meta(apply_filters('williamson_filter_post_meta_args', array(
											'components' => $williamson_components,
											'counters' => $williamson_counters,
											'seo' => false,
											'echo' => false
											), $williamson_blog_style[0], $williamson_columns))
										: '')
								. '<div class="post_description_content">'
									. apply_filters('the_excerpt', get_the_excerpt())
								. '</div>'
								. '<a href="'.esc_url(get_permalink()).'" class="theme_button post_readmore"><span class="post_readmore_label">' . esc_html__('Learn more', 'williamson') . '</span></a>'
							. '</div>'
						. '</div>'
	));
	?>
</article>