<?php
/**
 * The Portfolio template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage WILLIAMSON
 * @since WILLIAMSON 1.0
 */

$williamson_blog_style = explode('_', williamson_get_theme_option('blog_style'));
$williamson_columns = empty($williamson_blog_style[1]) ? 2 : max(2, $williamson_blog_style[1]);
$williamson_post_format = get_post_format();
$williamson_post_format = empty($williamson_post_format) ? 'standard' : str_replace('post-format-', '', $williamson_post_format);
$williamson_animation = williamson_get_theme_option('blog_animation');

?><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_portfolio post_layout_portfolio_'.esc_attr($williamson_columns).' post_format_'.esc_attr($williamson_post_format).(is_sticky() && !is_paged() ? ' sticky' : '') ); ?>
	<?php echo (!williamson_is_off($williamson_animation) ? ' data-animation="'.esc_attr(williamson_get_animation_classes($williamson_animation)).'"' : ''); ?>>
	<?php

	// Sticky label
	if ( is_sticky() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	$williamson_image_hover = williamson_get_theme_option('image_hover');
	// Featured image
	williamson_show_post_featured(array(
		'thumb_size' => williamson_get_thumb_size(strpos(williamson_get_theme_option('body_style'), 'full')!==false || $williamson_columns < 3 ? 'masonry-big' : 'masonry'),
		'show_no_image' => true,
		'class' => $williamson_image_hover == 'dots' ? 'hover_with_info' : '',
		'post_info' => $williamson_image_hover == 'dots' ? '<div class="post_info">'.esc_html(get_the_title()).'</div>' : ''
	));
	?>
</article>