<?php
/**
 * The Sticky template to display the sticky posts
 *
 * Used for index/archive
 *
 * @package WordPress
 * @subpackage WILLIAMSON
 * @since WILLIAMSON 1.0
 */

$williamson_columns = max(1, min(3, count(get_option( 'sticky_posts' ))));
$williamson_post_format = get_post_format();
$williamson_post_format = empty($williamson_post_format) ? 'standard' : str_replace('post-format-', '', $williamson_post_format);
$williamson_animation = williamson_get_theme_option('blog_animation');

?><div class="column-1_<?php echo esc_attr($williamson_columns); ?>"><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_sticky post_format_'.esc_attr($williamson_post_format) ); ?>
	<?php echo (!williamson_is_off($williamson_animation) ? ' data-animation="'.esc_attr(williamson_get_animation_classes($williamson_animation)).'"' : ''); ?>
	>

	<?php
	if ( is_sticky() && is_home() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	// Featured image
	williamson_show_post_featured(array(
		'thumb_size' => williamson_get_thumb_size($williamson_columns==1 ? 'big' : ($williamson_columns==2 ? 'med' : 'avatar'))
	));

	if ( !in_array($williamson_post_format, array('link', 'aside', 'status', 'quote')) ) {
		?>
		<div class="post_header entry-header">
			<?php
			// Post title
			the_title( sprintf( '<h6 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h6>' );
			// Post meta
			williamson_show_post_meta(apply_filters('williamson_filter_post_meta_args', array(), 'sticky', $williamson_columns));
			?>
		</div><!-- .entry-header -->
		<?php
	}
	?>
</article></div>