<?php
/* Elegro Crypto Payment support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'williamson_elegro_payment_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'williamson_elegro_payment_theme_setup9', 9 );
	function williamson_elegro_payment_theme_setup9() {
		if (williamson_exists_elegro_payment()) {
			add_action( 'wp_enqueue_scripts', 								'williamson_exists_elegro_frontend_scripts', 1100 );
			add_filter( 'williamson_filter_merge_styles',						'williamson_exists_elegro_merge_styles' );
		}
		if ( is_admin() ) {
			add_filter( 'williamson_filter_tgmpa_required_plugins', 'williamson_elegro_payment_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( ! function_exists( 'williamson_elegro_payment_tgmpa_required_plugins' ) ) {
    function williamson_elegro_payment_tgmpa_required_plugins($list=array()) {
        if (in_array('elegro-payment', williamson_storage_get('required_plugins'))) {
            $list[] = array(
                'name' 		=> esc_html__('Elegro Payment', 'williamson'),
                'slug' 		=> 'elegro-payment',
                'required' 	=> false
            );
        }
        return $list;
    }
}

// Check if this plugin installed and activated
if ( ! function_exists( 'williamson_exists_elegro_payment' ) ) {
	function williamson_exists_elegro_payment() {
		return class_exists( 'WC_Elegro_Payment' );
	}
}

// Enqueue WooCommerce custom styles
if ( !function_exists( 'williamson_exists_elegro_frontend_scripts' ) ) {
	
	function williamson_exists_elegro_frontend_scripts() {
		
			if (williamson_is_on(williamson_get_theme_option('debug_mode')) && williamson_get_file_dir('plugins/elegro-payment/elegro-payment.css')!='')
				wp_enqueue_style( 'williamson-elegro-payment',  williamson_get_file_url('plugins/elegro-payment/elegro-payment.css'), array(), null );
	}
}
	
// Merge custom styles
if ( !function_exists( 'williamson_exists_elegro_merge_styles' ) ) {
	
	function williamson_exists_elegro_merge_styles($list) {
		$list[] = 'plugins/elegro-payment/elegro-payment.css';
		return $list;
	}
}