<?php
/* The GDPR Framework support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'williamson_gdpr_framework_feed_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'williamson_gdpr_framework_theme_setup9', 9 );
	function williamson_gdpr_framework_theme_setup9() {
		if ( is_admin() ) {
			add_filter( 'williamson_filter_tgmpa_required_plugins', 'williamson_gdpr_framework_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( ! function_exists( 'williamson_gdpr_framework_tgmpa_required_plugins' ) ) {
	
	function williamson_gdpr_framework_tgmpa_required_plugins( $list = array() ) {
		if (false && in_array('gdpr-framework', williamson_storage_get('required_plugins'))) {
			$list[] = array(
				'name'     => esc_html__('The GDPR Framework', 'williamson'),
				'slug'     => 'gdpr-framework',
				'required' => false,
			);
		}
		return $list;
	}
}

// Check if this plugin installed and activated
if ( ! function_exists( 'williamson_exists_gdpr_framework' ) ) {
	function williamson_exists_gdpr_framework() {
		return defined( 'GDPR_FRAMEWORK_VERSION' );
	}
}