<?php
/* Mail Chimp support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('williamson_mailchimp_theme_setup9')) {
	add_action( 'after_setup_theme', 'williamson_mailchimp_theme_setup9', 9 );
	function williamson_mailchimp_theme_setup9() {
		if (williamson_exists_mailchimp()) {
			add_action( 'wp_enqueue_scripts',							'williamson_mailchimp_frontend_scripts', 1100 );
			add_filter( 'williamson_filter_merge_styles',					'williamson_mailchimp_merge_styles');
		}
		if (is_admin()) {
			add_filter( 'williamson_filter_tgmpa_required_plugins',		'williamson_mailchimp_tgmpa_required_plugins' );
		}
	}
}

// Check if plugin installed and activated
if ( !function_exists( 'williamson_exists_mailchimp' ) ) {
	function williamson_exists_mailchimp() {
		return function_exists('__mc4wp_load_plugin') || defined('MC4WP_VERSION');
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'williamson_mailchimp_tgmpa_required_plugins' ) ) {
	
	function williamson_mailchimp_tgmpa_required_plugins($list=array()) {
		if (in_array('mailchimp-for-wp', williamson_storage_get('required_plugins')))
			$list[] = array(
				'name' 		=> esc_html__('MailChimp for WP', 'williamson'),
				'slug' 		=> 'mailchimp-for-wp',
				'required' 	=> false
			);
		return $list;
	}
}



// Custom styles and scripts
//------------------------------------------------------------------------

// Enqueue custom styles
if ( !function_exists( 'williamson_mailchimp_frontend_scripts' ) ) {
	
	function williamson_mailchimp_frontend_scripts() {
		if (williamson_exists_mailchimp()) {
			if (williamson_is_on(williamson_get_theme_option('debug_mode')) && williamson_get_file_dir('plugins/mailchimp-for-wp/mailchimp-for-wp.css')!='')
				wp_enqueue_style( 'williamson-mailchimp-for-wp',  williamson_get_file_url('plugins/mailchimp-for-wp/mailchimp-for-wp.css'), array(), null );
		}
	}
}
	
// Merge custom styles
if ( !function_exists( 'williamson_mailchimp_merge_styles' ) ) {
	
	function williamson_mailchimp_merge_styles($list) {
		$list[] = 'plugins/mailchimp-for-wp/mailchimp-for-wp.css';
		return $list;
	}
}


// Add plugin-specific colors and fonts to the custom CSS
if (williamson_exists_mailchimp()) { require_once WILLIAMSON_THEME_DIR . 'plugins/mailchimp-for-wp/mailchimp-for-wp.styles.php'; }
?>