<?php
/* Revolution Slider support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('williamson_revslider_theme_setup9')) {
	add_action( 'after_setup_theme', 'williamson_revslider_theme_setup9', 9 );
	function williamson_revslider_theme_setup9() {
		if (williamson_exists_revslider()) {
			add_action( 'wp_enqueue_scripts', 					'williamson_revslider_frontend_scripts', 1100 );
			add_filter( 'williamson_filter_merge_styles',			'williamson_revslider_merge_styles' );
		}
		if (is_admin()) {
			add_filter( 'williamson_filter_tgmpa_required_plugins','williamson_revslider_tgmpa_required_plugins' );
		}
	}
}

// Check if RevSlider installed and activated
if ( !function_exists( 'williamson_exists_revslider' ) ) {
	function williamson_exists_revslider() {
		return function_exists('rev_slider_shortcode');
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'williamson_revslider_tgmpa_required_plugins' ) ) {
	
	function williamson_revslider_tgmpa_required_plugins($list=array()) {
		if (in_array('revslider', williamson_storage_get('required_plugins'))) {
			$path = williamson_get_file_dir('plugins/revslider/revslider.zip');
			$list[] = array(
					'name' 		=> esc_html__('Revolution Slider', 'williamson'),
					'slug' 		=> 'revslider',
					'version'	=> '6.7.13',
					'source'	=> !empty($path) ? $path : 'upload://revslider.zip',
					'required' 	=> false
			);
		}
		return $list;
	}
}
	
// Enqueue custom styles
if ( !function_exists( 'williamson_revslider_frontend_scripts' ) ) {
	
	function williamson_revslider_frontend_scripts() {
		if (williamson_is_on(williamson_get_theme_option('debug_mode')) && williamson_get_file_dir('plugins/revslider/revslider.css')!='')
			wp_enqueue_style( 'williamson-revslider',  williamson_get_file_url('plugins/revslider/revslider.css'), array(), null );
	}
}
	
// Merge custom styles
if ( !function_exists( 'williamson_revslider_merge_styles' ) ) {
	
	function williamson_revslider_merge_styles($list) {
		$list[] = 'plugins/revslider/revslider.css';
		return $list;
	}
}
?>