<?php


// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'williamson_trx_updater_theme_setup9' ) ) {
    add_action( 'after_setup_theme', 'williamson_trx_updater_theme_setup9', 9 );
    function williamson_trx_updater_theme_setup9() {
        if ( is_admin() ) {
            add_filter( 'williamson_filter_tgmpa_required_plugins', 'williamson_trx_updater_tgmpa_required_plugins' );
        }
    }
}



// Filter to add in the required plugins list
if ( ! function_exists( 'williamson_trx_updater_tgmpa_required_plugins' ) ) {
    function williamson_trx_updater_tgmpa_required_plugins($list=array()) {
        if (in_array('trx_updater', williamson_storage_get('required_plugins'))) {
            $path = williamson_get_file_dir('plugins/trx_updater/trx_updater.zip');
            $list[] = array(
                'name' 		=> esc_html__('ThemeREX Updater', 'williamson'),
                'slug' 		=> 'trx_updater',
					 'version'	=> '2.1.4',
                'source'	=> !empty($path) ? $path : 'upload://trx_updater.zip',
                'required' 	=> false
            );
        }
        return $list;
    }
}


// Check if trx_updater installed and activated
if ( ! function_exists( 'williamson_exists_trx_updater' ) ) {
    function williamson_exists_trx_updater() {
        return function_exists( 'trx_updater_load_plugin_textdomain' );
    }
}
