<?php
/**
 * The Sidebar containing the main widget areas.
 *
 * @package WordPress
 * @subpackage WILLIAMSON
 * @since WILLIAMSON 1.0
 */

if (williamson_sidebar_present()) {
	ob_start();
	$williamson_sidebar_name = williamson_get_theme_option('sidebar_widgets');
	williamson_storage_set('current_sidebar', 'sidebar');
	if ( is_active_sidebar($williamson_sidebar_name) ) {
		dynamic_sidebar($williamson_sidebar_name);
	}
	$williamson_out = trim(ob_get_contents());
	ob_end_clean();
	if (!empty($williamson_out)) {
		$williamson_sidebar_position = 'right';
		?>
		<div class="sidebar <?php echo esc_attr($williamson_sidebar_position); ?> widget_area<?php if (!williamson_is_inherit(williamson_get_theme_option('sidebar_scheme'))) echo ' scheme_'.esc_attr(williamson_get_theme_option('sidebar_scheme')); ?>" role="complementary">
			<div class="sidebar_inner">
				<?php
				do_action( 'williamson_action_before_sidebar' );
				williamson_show_layout(preg_replace("/<\/aside>[\r\n\s]*<aside/", "</aside><aside", $williamson_out));
				do_action( 'williamson_action_after_sidebar' );
				?>
			</div><!-- /.sidebar_inner -->
		</div><!-- /.sidebar -->
		<?php
	}
}
?>