<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package WordPress
 * @subpackage WILLIAMSON
 * @since WILLIAMSON 1.0.10
 */

// Copyright area
$williamson_footer_scheme =  williamson_is_inherit(williamson_get_theme_option('footer_scheme')) ? williamson_get_theme_option('color_scheme') : williamson_get_theme_option('footer_scheme');
$williamson_copyright_scheme = williamson_is_inherit(williamson_get_theme_option('copyright_scheme')) ? $williamson_footer_scheme : williamson_get_theme_option('copyright_scheme');
?> 
<div class="footer_copyright_wrap scheme_<?php echo esc_attr($williamson_copyright_scheme); ?>">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text"><?php
				// Replace {{...}} and [[...]] on the <i>...</i> and <b>...</b>
				$williamson_copyright = williamson_prepare_macros(williamson_get_theme_option('copyright'));
				if (!empty($williamson_copyright)) {
					// Replace {date_format} on the current date in the specified format
					if (preg_match("/(\\{[\\w\\d\\\\\\-\\:]*\\})/", $williamson_copyright, $williamson_matches)) {
						$williamson_copyright = str_replace($williamson_matches[1], date_i18n(str_replace(array('{', '}'), '', $williamson_matches[1])), $williamson_copyright);
                        $williamson_copyright = str_replace(array('{{Y}}', '{Y}'), date('Y'), $williamson_copyright);
                    }
                    // Display copyright
					echo str_replace('ThemeREX', '<a href="https://themerex.net/" target="_blank">ThemeREX</a>',  wp_kses_data(nl2br($williamson_copyright)));
				}
			?></div>
		</div>
	</div>
</div>
