<?php
/**
 * The template to display default site footer
 *
 * @package WordPress
 * @subpackage WILLIAMSON
 * @since WILLIAMSON 1.0.10
 */

$williamson_footer_scheme =  williamson_is_inherit(williamson_get_theme_option('footer_scheme')) ? williamson_get_theme_option('color_scheme') : williamson_get_theme_option('footer_scheme');
$williamson_footer_id = str_replace('footer-custom-', '', williamson_get_theme_option("footer_style"));
if ((int) $williamson_footer_id == 0) {
    $williamson_footer_id = williamson_get_post_id(array(
                                                'name' => $williamson_footer_id,
                                                'post_type' => defined('TRX_ADDONS_CPT_LAYOUTS_PT') ? TRX_ADDONS_CPT_LAYOUTS_PT : 'cpt_layouts'
                                                )
                                            );
} else {
    $williamson_footer_id = apply_filters('trx_addons_filter_get_translated_layout', $williamson_footer_id);
}
$williamson_footer_meta = get_post_meta($williamson_footer_id, 'trx_addons_options', true);
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr($williamson_footer_id); 
						?> footer_custom_<?php echo esc_attr(sanitize_title(get_the_title($williamson_footer_id))); 
						if (!empty($williamson_footer_meta['margin']) != '') 
							echo ' '.esc_attr(williamson_add_inline_css_class('margin-top: '.esc_attr(williamson_prepare_css_value($williamson_footer_meta['margin'])).';'));
						?> scheme_<?php echo esc_attr($williamson_footer_scheme); 
						?>">
	<?php
    // Custom footer's layout
    do_action('williamson_action_show_layout', $williamson_footer_id);
	?>
</footer><!-- /.footer_wrap -->
