<?php
/**
 * The template to display the site logo in the footer
 *
 * @package WordPress
 * @subpackage WILLIAMSON
 * @since WILLIAMSON 1.0.10
 */

// Logo
if (williamson_is_on(williamson_get_theme_option('logo_in_footer'))) {
	$williamson_logo_image = '';
	if (williamson_get_retina_multiplier(2) > 1)
		$williamson_logo_image = williamson_get_theme_option( 'logo_footer_retina' );
	if (empty($williamson_logo_image)) 
		$williamson_logo_image = williamson_get_theme_option( 'logo_footer' );
	$williamson_logo_text   = get_bloginfo( 'name' );
	if (!empty($williamson_logo_image) || !empty($williamson_logo_text)) {
		?>
		<div class="footer_logo_wrap">
			<div class="footer_logo_inner">
				<?php
				if (!empty($williamson_logo_image)) {
					$williamson_attr = williamson_getimagesize($williamson_logo_image);
					echo '<a href="'.esc_url(home_url('/')).'"><img src="'.esc_url($williamson_logo_image).'" class="logo_footer_image" '.(!empty($williamson_attr[3]) ? sprintf(' %s', $williamson_attr[3]) : '').'></a>' ;
				} else if (!empty($williamson_logo_text)) {
					echo '<h1 class="logo_footer_text"><a href="'.esc_url(home_url('/')).'">' . esc_html($williamson_logo_text) . '</a></h1>';
				}
				?>
			</div>
		</div>
		<?php
	}
}
?>