<?php
/**
 * The template to display the widgets area in the footer
 *
 * @package WordPress
 * @subpackage WILLIAMSON
 * @since WILLIAMSON 1.0.10
 */

// Footer sidebar
$williamson_footer_name = williamson_get_theme_option('footer_widgets');
$williamson_footer_present = !williamson_is_off($williamson_footer_name) && is_active_sidebar($williamson_footer_name);
if ($williamson_footer_present) { 
	williamson_storage_set('current_sidebar', 'footer');
	$williamson_footer_wide = williamson_get_theme_option('footer_wide');
	ob_start();
	if ( is_active_sidebar($williamson_footer_name) ) {
		dynamic_sidebar($williamson_footer_name);
	}
	$williamson_out = trim(ob_get_contents());
	ob_end_clean();
	if (!empty($williamson_out)) {
		$williamson_out = preg_replace("/<\\/aside>[\r\n\s]*<aside/", "</aside><aside", $williamson_out);
		$williamson_need_columns = true;	//or check: strpos($williamson_out, 'columns_wrap')===false;
		if ($williamson_need_columns) {
			$williamson_columns = max(0, (int) williamson_get_theme_option('footer_columns'));
			if ($williamson_columns == 0) $williamson_columns = min(4, max(1, substr_count($williamson_out, '<aside ')));
			if ($williamson_columns > 1)
				$williamson_out = preg_replace("/class=\"widget /", "class=\"column-1_".esc_attr($williamson_columns).' widget ', $williamson_out);
			else
				$williamson_need_columns = false;
		}
		?>
		<div class="footer_widgets_wrap widget_area<?php echo !empty($williamson_footer_wide) ? ' footer_fullwidth' : ''; ?> sc_layouts_row  sc_layouts_row_type_normal">
			<div class="footer_widgets_inner widget_area_inner">
				<?php 
				if (!$williamson_footer_wide) { 
					?><div class="content_wrap"><?php
				}
				if ($williamson_need_columns) {
					?><div class="columns_wrap"><?php
				}
				do_action( 'williamson_action_before_sidebar' );
				williamson_show_layout($williamson_out);
				do_action( 'williamson_action_after_sidebar' );
				if ($williamson_need_columns) {
					?></div><!-- /.columns_wrap --><?php
				}
				if (!$williamson_footer_wide) {
					?></div><!-- /.content_wrap --><?php
				}
				?>
			</div><!-- /.footer_widgets_inner -->
		</div><!-- /.footer_widgets_wrap -->
		<?php
	}
}
?>