<?php
/**
 * The template to display custom header from the ThemeREX Addons Layouts
 *
 * @package WordPress
 * @subpackage WILLIAMSON
 * @since WILLIAMSON 1.0.06
 */

$williamson_header_css = $williamson_header_image = '';
$williamson_header_video = williamson_get_header_video();
if (true || empty($williamson_header_video)) {
	$williamson_header_image = get_header_image();
	if (williamson_is_on(williamson_get_theme_option('header_image_override')) && apply_filters('williamson_filter_allow_override_header_image', true)) {
		if (is_category()) {
			if (($williamson_cat_img = williamson_get_category_image()) != '')
				$williamson_header_image = $williamson_cat_img;
		} else if (is_singular() || williamson_storage_isset('blog_archive')) {
			if (has_post_thumbnail()) {
				$williamson_header_image = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full' );
				if (is_array($williamson_header_image)) $williamson_header_image = $williamson_header_image[0];
			} else
				$williamson_header_image = '';
		}
	}
}

$williamson_header_id = str_replace('header-custom-', '', williamson_get_theme_option("header_style"));
if ((int) $williamson_header_id == 0) {
    $williamson_header_id = williamson_get_post_id(array(
                                                'name' => $williamson_header_id,
                                                'post_type' => defined('TRX_ADDONS_CPT_LAYOUTS_PT') ? TRX_ADDONS_CPT_LAYOUTS_PT : 'cpt_layouts'
                                                )
                                            );
} else {
    $williamson_header_id = apply_filters('trx_addons_filter_get_translated_layout', $williamson_header_id);
}
$williamson_header_meta = get_post_meta($williamson_header_id, 'trx_addons_options', true);

?><header class="top_panel top_panel_custom top_panel_custom_<?php echo esc_attr($williamson_header_id); 
						?> top_panel_custom_<?php echo esc_attr(sanitize_title(get_the_title($williamson_header_id)));
						echo !empty($williamson_header_image) || !empty($williamson_header_video) 
							? ' with_bg_image' 
							: ' without_bg_image';
						if ($williamson_header_video!='') 
							echo ' with_bg_video';
						if ($williamson_header_image!='') 
							echo ' '.esc_attr(williamson_add_inline_css_class('background-image: url('.esc_url($williamson_header_image).');'));
						if (!empty($williamson_header_meta['margin']) != '') 
							echo ' '.esc_attr(williamson_add_inline_css_class('margin-bottom: '.esc_attr(williamson_prepare_css_value($williamson_header_meta['margin'])).';'));
						if (is_single() && has_post_thumbnail()) 
							echo ' with_featured_image';
						if (williamson_is_on(williamson_get_theme_option('header_fullheight'))) 
							echo ' header_fullheight trx-stretch-height';
						?> scheme_<?php echo esc_attr(williamson_is_inherit(williamson_get_theme_option('header_scheme')) 
														? williamson_get_theme_option('color_scheme') 
														: williamson_get_theme_option('header_scheme'));
						?>"><?php

	// Background video
	if (!empty($williamson_header_video)) {
		get_template_part( 'templates/header-video' );
	}
		
	// Custom header's layout
	do_action('williamson_action_show_layout', $williamson_header_id);

	// Header widgets area
	get_template_part( 'templates/header-widgets' );
		
?></header>