<?php
/**
 * The template to display the logo or the site name and the slogan in the Header
 *
 * @package WordPress
 * @subpackage WILLIAMSON
 * @since WILLIAMSON 1.0
 */

$williamson_args = get_query_var('williamson_logo_args');

// Site logo
$williamson_logo_image  = williamson_get_logo_image(isset($williamson_args['type']) ? $williamson_args['type'] : '');
$williamson_logo_text   = williamson_is_on(williamson_get_theme_option('logo_text')) ? get_bloginfo( 'name' ) : '';
$williamson_logo_slogan = get_bloginfo( 'description', 'display' );
if (!empty($williamson_logo_image) || !empty($williamson_logo_text)) {
	?><a class="sc_layouts_logo" href="<?php echo is_front_page() ? '#' : esc_url(home_url('/')); ?>"><?php
		if (!empty($williamson_logo_image)) {
			$williamson_attr = williamson_getimagesize($williamson_logo_image);
			echo '<img src="'.esc_url($williamson_logo_image).'" '.(!empty($williamson_attr[3]) ? sprintf(' %s', $williamson_attr[3]) : '').'>' ;
		} else {
			williamson_show_layout(williamson_prepare_macros($williamson_logo_text), '<span class="logo_text">', '</span>');
			williamson_show_layout(williamson_prepare_macros($williamson_logo_slogan), '<span class="logo_slogan">', '</span>');
		}
	?></a><?php
}
?>