<?php
/**
 * The template to show mobile menu
 *
 * @package WordPress
 * @subpackage WILLIAMSON
 * @since WILLIAMSON 1.0
 */
?>
<div class="menu_mobile_overlay"></div>
<div class="menu_mobile menu_mobile_<?php echo esc_attr(williamson_get_theme_option('menu_mobile_fullscreen') > 0 ? 'fullscreen' : 'fullscreen'); ?> scheme_dark">
	<div class="menu_mobile_inner">
		<a class="menu_mobile_close">
			<?php echo esc_html__('Close', 'williamson');?>
			<span class="icon-cancel"></span>
		</a><?php

		// Mobile menu
		$williamson_menu_mobile = williamson_get_nav_menu('menu_mobile');
		if (empty($williamson_menu_mobile)) {
			$williamson_menu_mobile = apply_filters('williamson_filter_get_mobile_menu', '');
			if (empty($williamson_menu_mobile)) $williamson_menu_mobile = williamson_get_nav_menu('menu_main');
			if (empty($williamson_menu_mobile)) $williamson_menu_mobile = williamson_get_nav_menu();
		}
		if (!empty($williamson_menu_mobile)) {
			if (!empty($williamson_menu_mobile))
				$williamson_menu_mobile = str_replace(
					array('menu_main', 'id="menu-', 'sc_layouts_menu_nav', 'sc_layouts_hide_on_mobile', 'hide_on_mobile'),
					array('menu_mobile', 'id="menu_mobile-', '', '', ''),
					$williamson_menu_mobile
					);
			if (strpos($williamson_menu_mobile, '<nav ')===false)
				$williamson_menu_mobile = sprintf('<nav class="menu_mobile_nav_area">%s</nav>', $williamson_menu_mobile);
			williamson_show_layout(apply_filters('williamson_filter_menu_mobile_layout', $williamson_menu_mobile));
		}

		// Copyright
		$williamson_copyright = williamson_prepare_macros(williamson_get_theme_option('copyright'));
		if (!empty($williamson_copyright)) {
			// Replace {date_format} on the current date in the specified format
			if (preg_match("/(\\{[\\w\\d\\\\\\-\\:]*\\})/", $williamson_copyright, $williamson_matches)) {
				$williamson_copyright = str_replace($williamson_matches[1], date_i18n(str_replace(array('{', '}'), '', $williamson_matches[1])), $williamson_copyright);
				$williamson_copyright = str_replace(array('{{Y}}', '{Y}'), date('Y'), $williamson_copyright);
			}
			// Display copyright
			echo '<div class="copyright_mobile">'.wp_kses_data(nl2br($williamson_copyright)).'</div>';
		}
		
		// Social icons
		williamson_show_layout(williamson_get_socials_links(), '<div class="socials_mobile">', '</div>');
		?>
	</div>
</div>
