<?php
/**
 * The template to display the page title and breadcrumbs
 *
 * @package WordPress
 * @subpackage WILLIAMSON
 * @since WILLIAMSON 1.0
 */

// Page (category, tag, archive, author) title

if ( williamson_need_page_title() ) {
	williamson_sc_layouts_showed('title', true);
	williamson_sc_layouts_showed('postmeta', false);
	?>
	<div class="top_panel_title sc_layouts_row sc_layouts_row_type_normal">
		<div class="content_wrap">
			<div class="sc_layouts_column sc_layouts_column_align_center">
				<div class="sc_layouts_item">
					<div class="sc_layouts_title sc_align_center">
						<?php 
						
						// Blog/Post title
						?><div class="sc_layouts_title_title"><?php
							$williamson_blog_title = williamson_get_blog_title();
							$williamson_blog_title_text = $williamson_blog_title_class = $williamson_blog_title_link = $williamson_blog_title_link_text = '';
							if (is_array($williamson_blog_title)) {
								$williamson_blog_title_text = $williamson_blog_title['text'];
								$williamson_blog_title_class = !empty($williamson_blog_title['class']) ? ' '.$williamson_blog_title['class'] : '';
								$williamson_blog_title_link = !empty($williamson_blog_title['link']) ? $williamson_blog_title['link'] : '';
								$williamson_blog_title_link_text = !empty($williamson_blog_title['link_text']) ? $williamson_blog_title['link_text'] : '';
							} else
								$williamson_blog_title_text = $williamson_blog_title;
							?>
							<h1 class="sc_layouts_title_caption<?php echo esc_attr($williamson_blog_title_class); ?>"><?php
								$williamson_top_icon = williamson_get_category_icon();
								if (!empty($williamson_top_icon)) {
									$williamson_attr = williamson_getimagesize($williamson_top_icon);
									?><img src="<?php echo esc_url($williamson_top_icon); ?>" <?php if (!empty($williamson_attr[3])) williamson_show_layout($williamson_attr[3]);?>><?php
								}
								echo wp_kses($williamson_blog_title_text, 'williamson_kses_content');
							?></h1>
							<?php
							if (!empty($williamson_blog_title_link) && !empty($williamson_blog_title_link_text)) {
								?><a href="<?php echo esc_url($williamson_blog_title_link); ?>" class="theme_button theme_button_small sc_layouts_title_link"><?php echo esc_html($williamson_blog_title_link_text); ?></a><?php
							}
							
							// Category/Tag description
							if ( is_category() || is_tag() || is_tax() ) 
								the_archive_description( '<div class="sc_layouts_title_description">', '</div>' );
		
						?></div><?php
	
						// Breadcrumbs
						?><div class="sc_layouts_title_breadcrumbs"><?php
							do_action( 'williamson_action_breadcrumbs');
						?></div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php
}
?>