<?php
/**
 * The template to display the background video in the header
 *
 * @package WordPress
 * @subpackage WILLIAMSON
 * @since WILLIAMSON 1.0.14
 */
$williamson_header_video = williamson_get_header_video();
$williamson_embed_video = '';
if (!empty($williamson_header_video) && !williamson_is_from_uploads($williamson_header_video)) {
	if (williamson_is_youtube_url($williamson_header_video) && preg_match('/[=\/]([^=\/]*)$/', $williamson_header_video, $matches) && !empty($matches[1])) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr($matches[1]); ?>"></div><?php
	} else {
		global $wp_embed;
		if (false && is_object($wp_embed)) {
			$williamson_embed_video = do_shortcode($wp_embed->run_shortcode( '[embed]' . trim($williamson_header_video) . '[/embed]' ));
			$williamson_embed_video = williamson_make_video_autoplay($williamson_embed_video);
		} else {
			$williamson_header_video = str_replace('/watch?v=', '/embed/', $williamson_header_video);
			$williamson_header_video = williamson_add_to_url($williamson_header_video, array(
				'feature' => 'oembed',
				'controls' => 0,
				'autoplay' => 1,
				'showinfo' => 0,
				'modestbranding' => 1,
				'wmode' => 'transparent',
				'enablejsapi' => 1,
				'origin' => home_url(),
				'widgetid' => 1
			));
			$williamson_embed_video = '<iframe src="' . esc_url($williamson_header_video) . '" width="1170" height="658" allowfullscreen="0" frameborder="0"></iframe>';
		}
		?><div id="background_video"><?php williamson_show_layout($williamson_embed_video); ?></div><?php
	}
}
?>