<?php
/**
 * The template to display the widgets area in the header
 *
 * @package WordPress
 * @subpackage WILLIAMSON
 * @since WILLIAMSON 1.0
 */

// Header sidebar
$williamson_header_name = williamson_get_theme_option('header_widgets');
$williamson_header_present = !williamson_is_off($williamson_header_name) && is_active_sidebar($williamson_header_name);
if ($williamson_header_present) { 
	williamson_storage_set('current_sidebar', 'header');
	$williamson_header_wide = williamson_get_theme_option('header_wide');
	ob_start();
	if ( is_active_sidebar($williamson_header_name) ) {
		dynamic_sidebar($williamson_header_name);
	}
	$williamson_widgets_output = ob_get_contents();
	ob_end_clean();
	if (!empty($williamson_widgets_output)) {
		$williamson_widgets_output = preg_replace("/<\/aside>[\r\n\s]*<aside/", "</aside><aside", $williamson_widgets_output);
		$williamson_need_columns = strpos($williamson_widgets_output, 'columns_wrap')===false;
		if ($williamson_need_columns) {
			$williamson_columns = max(0, (int) williamson_get_theme_option('header_columns'));
			if ($williamson_columns == 0) $williamson_columns = min(6, max(1, substr_count($williamson_widgets_output, '<aside ')));
			if ($williamson_columns > 1)
				$williamson_widgets_output = preg_replace("/class=\"widget /", "class=\"column-1_".esc_attr($williamson_columns).' widget ', $williamson_widgets_output);
			else
				$williamson_need_columns = false;
		}
		?>
		<div class="header_widgets_wrap widget_area<?php echo !empty($williamson_header_wide) ? ' header_fullwidth' : ' header_boxed'; ?>">
			<div class="header_widgets_inner widget_area_inner">
				<?php 
				if (!$williamson_header_wide) { 
					?><div class="content_wrap"><?php
				}
				if ($williamson_need_columns) {
					?><div class="columns_wrap"><?php
				}
				do_action( 'williamson_action_before_sidebar' );
				williamson_show_layout($williamson_widgets_output);
				do_action( 'williamson_action_after_sidebar' );
				if ($williamson_need_columns) {
					?></div>	<!-- /.columns_wrap --><?php
				}
				if (!$williamson_header_wide) {
					?></div>	<!-- /.content_wrap --><?php
				}
				?>
			</div>	<!-- /.header_widgets_inner -->
		</div>	<!-- /.header_widgets_wrap -->
		<?php
	}
}
?>