<?php
/**
 * The template to display posts in widgets and/or in the search results
 *
 * @package WordPress
 * @subpackage WILLIAMSON
 * @since WILLIAMSON 1.0
 */

$williamson_post_id    = get_the_ID();
$williamson_post_date  = williamson_get_date();
$williamson_post_title = get_the_title();
$williamson_post_link  = get_permalink();
$williamson_post_author_id   = get_the_author_meta('ID');
$williamson_post_author_name = get_the_author_meta('display_name');
$williamson_post_author_url  = get_author_posts_url($williamson_post_author_id, '');

$williamson_args = get_query_var('williamson_args_widgets_posts');
$williamson_show_date = isset($williamson_args['show_date']) ? (int) $williamson_args['show_date'] : 1;
$williamson_show_image = isset($williamson_args['show_image']) ? (int) $williamson_args['show_image'] : 1;
$williamson_show_author = isset($williamson_args['show_author']) ? (int) $williamson_args['show_author'] : 1;
$williamson_show_counters = isset($williamson_args['show_counters']) ? (int) $williamson_args['show_counters'] : 1;
$williamson_show_categories = isset($williamson_args['show_categories']) ? (int) $williamson_args['show_categories'] : 1;

$williamson_output = williamson_storage_get('williamson_output_widgets_posts');

$williamson_post_counters_output = '';
if ( $williamson_show_counters ) {
	$williamson_post_counters_output = '<span class="post_info_item post_info_counters">'
								. williamson_get_post_counters('comments')
							. '</span>';
}


$williamson_output .= '<article class="post_item with_thumb">';

if ($williamson_show_image) {
	$williamson_post_thumb = get_the_post_thumbnail($williamson_post_id, williamson_get_thumb_size('tiny'), array(
		'alt' => the_title_attribute( array( 'echo' => false ) )
	));
	if ($williamson_post_thumb) $williamson_output .= '<div class="post_thumb">' . ($williamson_post_link ? '<a href="' . esc_url($williamson_post_link) . '">' : '') . ($williamson_post_thumb) . ($williamson_post_link ? '</a>' : '') . '</div>';
}

$williamson_output .= '<div class="post_content">'
			. ($williamson_show_categories 
					? '<div class="post_categories">'
						. williamson_get_post_categories()
						. $williamson_post_counters_output
						. '</div>' 
					: '')
			. '<h6 class="post_title">' . ($williamson_post_link ? '<a href="' . esc_url($williamson_post_link) . '">' : '') . ($williamson_post_title) . ($williamson_post_link ? '</a>' : '') . '</h6>'
			. apply_filters('williamson_filter_get_post_info', 
								'<div class="post_info">'
									. ($williamson_show_date 
										? '<span class="post_info_item post_info_posted">'
											. ($williamson_post_link ? '<a href="' . esc_url($williamson_post_link) . '" class="post_info_date">' : '') 
											. esc_html($williamson_post_date) 
											. ($williamson_post_link ? '</a>' : '')
											. '</span>'
										: '')
									. ($williamson_show_author 
										? '<span class="post_info_item post_info_posted_by">' 
											. esc_html__('by', 'williamson') . ' ' 
											. ($williamson_post_link ? '<a href="' . esc_url($williamson_post_author_url) . '" class="post_info_author">' : '') 
											. esc_html($williamson_post_author_name) 
											. ($williamson_post_link ? '</a>' : '') 
											. '</span>'
										: '')
									. (!$williamson_show_categories && $williamson_post_counters_output
										? $williamson_post_counters_output
										: '')
								. '</div>')
		. '</div>'
	. '</article>';
williamson_storage_set('williamson_output_widgets_posts', $williamson_output);
?>