<?php
/**
 * Shortcode: Display separator
 *
 * @package WordPress
 * @subpackage ThemeREX Addons
 * @since v1.6.08
 */





// trx_sc_layouts_separator
//-------------------------------------------------------------
/*
[trx_sc_layouts_separator id="unique_id" ]
*/
if ( !function_exists( 'trx_addons_sc_layouts_separator' ) ) {
	function trx_addons_sc_layouts_separator($atts, $content = ''){	
		$atts = trx_addons_sc_prepare_atts('trx_sc_layouts_separator', $atts, array(
			// Individual params
			"type" => "default",
			"hide_on_tablet" => "0",
			"hide_on_mobile" => "0",
			// Common params
			"id" => "",
			"class" => "",
			"css" => ""
			)
		);

		ob_start();
		trx_addons_get_template_part(array(
										TRX_ADDONS_PLUGIN_CPT_LAYOUTS_SHORTCODES . 'separator/tpl.'.trx_addons_esc($atts['type']).'.php',
                                        TRX_ADDONS_PLUGIN_CPT_LAYOUTS_SHORTCODES . 'separator/tpl.default.php'
                                        ),
                                        'trx_addons_args_sc_layouts_separator',
                                        $atts
                                    );
		$output = ob_get_contents();
		ob_end_clean();
		
		return apply_filters('trx_addons_sc_output', $output, 'trx_sc_layouts_separator', $atts, $content);
	}
}


// Add [trx_sc_layouts_separator] in the VC shortcodes list
if (!function_exists('trx_addons_sc_layouts_separator_add_in_vc')) {
	function trx_addons_sc_layouts_separator_add_in_vc() {

		if (!trx_addons_exists_visual_composer()) return;

		add_shortcode("trx_sc_layouts_separator", "trx_addons_sc_layouts_separator");
		
		vc_lean_map("trx_sc_layouts_separator", 'trx_addons_sc_layouts_separator_add_in_vc_params');
		class WPBakeryShortCode_Trx_Sc_Layouts_Separator extends WPBakeryShortCode {}
	}
	add_action('init', 'trx_addons_sc_layouts_separator_add_in_vc', 15);
}

// Return params
if (!function_exists('trx_addons_sc_layouts_separator_add_in_vc_params')) {
	function trx_addons_sc_layouts_separator_add_in_vc_params() {
		return apply_filters('trx_addons_sc_map', array(
				"base" => "trx_sc_layouts_separator",
				"name" => esc_html__("Layouts: Separator", 'trx_addons'),
				"description" => wp_kses_data( __("Insert separator", 'trx_addons') ),
				"category" => esc_html__('ThemeREX', 'trx_addons'),
				"icon" => 'icon_trx_sc_layouts_separator',
				"class" => "trx_sc_layouts_separator",
				"content_element" => true,
				"is_container" => false,
				"show_settings_on_create" => true,
				"params" => array_merge(
					array(
						array(
							"param_name" => "type",
							"heading" => esc_html__("Layout", 'trx_addons'),
							"description" => wp_kses_data( __("Select shortcodes's layout", 'trx_addons') ),
							"std" => "default",
							"value" => apply_filters('trx_addons_sc_type', array(
								esc_html__('Default', 'trx_addons') => 'default',
							), 'trx_sc_layouts_separator' ),
							"type" => "dropdown"
						)
					),
					trx_addons_vc_add_hide_param(),
					trx_addons_vc_add_id_param()
				)
			), 'trx_sc_layouts_separator');
	}
}
?>